CMSIS-NN: cmsis_nn_activation Struct Reference

| CMSIS-NN Version 3.1.0 CMSIS NN Software Library

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Files Functions Variables Enumerations Enumerator Macros Groups Pages
Data Fields
cmsis_nn_activation Struct Reference

## Data Fields

int32_t | min
int32_t | max

## Description

CMSIS-NN object for the quantized Relu activation

## Field Documentation

int32_t cmsis_nn_activation::max

Max value used to clamp the result

Referenced by arm_avgpool_s16(), arm_avgpool_s8(), arm_convolve_1_x_n_s8(), arm_convolve_1x1_s8_fast(), arm_convolve_fast_s16(), arm_convolve_s16(), arm_convolve_s8(), arm_depthwise_conv_3x3_s8(), arm_depthwise_conv_s16(), arm_depthwise_conv_s8(), arm_depthwise_conv_s8_opt(), arm_fully_connected_s16(), arm_fully_connected_s8(), arm_max_pool_s16(), arm_max_pool_s8(), arm_nn_mat_mul_core_4x_s8(), arm_svdf_s8(), and arm_svdf_state_s16_s8().

int32_t cmsis_nn_activation::min

Min value used to clamp the result

Referenced by arm_avgpool_s16(), arm_avgpool_s8(), arm_convolve_1_x_n_s8(), arm_convolve_1x1_s8_fast(), arm_convolve_fast_s16(), arm_convolve_s16(), arm_convolve_s8(), arm_depthwise_conv_3x3_s8(), arm_depthwise_conv_s16(), arm_depthwise_conv_s8(), arm_depthwise_conv_s8_opt(), arm_fully_connected_s16(), arm_fully_connected_s8(), arm_max_pool_s16(), arm_max_pool_s8(), arm_nn_mat_mul_core_4x_s8(), arm_svdf_s8(), and arm_svdf_state_s16_s8().